Name: igb
Summary: Intel(R) Gigabit Ethernet Connection
Version: 1.3.23
Release: 4
Source: %{name}-%{version}.tar.gz
Vendor: Intel Corporation
License: GPL
ExclusiveOS: linux
Group: System Environment/Kernel
Provides: %{name}
URL: http://support.intel.com
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kernel, fileutils, findutils, gawk, bash

%define debug_package %{nil}

%description
This package contains the Linux driver for the Intel(R) Gigabit Family of Server Adapters.

%prep
%setup

%build
mkdir -p %{buildroot}

KVERDEF=0
KV=%{?KVER}
if [ -z $KV ];then 
	KV=$(uname -r)
else
	KVERDEF=1
fi

KA=%{_arch}
KV_BASE=$(echo $KV | sed '{ s/hugemem//g; s/smp//g; s/enterprise//g; }' )

if [ -e /usr/src/kernels ] && [ $(echo $KV_BASE | grep "^2.6") ]; then
	if [ $KVERDEF -eq 0 ];then
		KSP=$(ls /lib/modules | grep $KV_BASE)
	else
		KSP=$KV
	fi
	for K in $KSP ; do
		if [ $KA == "x86_64" ] && \
		   [ $(echo $K | grep hugemem) ]; then
			# Include path for x86_64 hugemem is broken
			# on RHEL4
			continue
		fi
		if [ -e /lib/modules/$K/build/.config ] && \
		   !(grep -w CONFIG_PCI /lib/modules/$K/build/.config | grep -i y) ; then
			# Exclude kernels that don't support PCI
			continue
		fi
		make -C src clean
		make -C src KSP=/lib/modules/$K/build \
			INSTALL_MOD_PATH=%{buildroot} \
			KVERSION=$k \
			MANDIR=%{_mandir} \
			CFLAGS_EXTRA="$CFLAGS_EXTRA" install
	done
else
	KSP="/lib/modules/$KV/build
	     /usr/src/linux-$KV
	     /usr/src/linux-$(echo $KV | sed 's/-.*//')
	     /usr/src/kernel-headers-$KV
	     /usr/src/kernel-source-$KV
	     /usr/src/linux-$(echo $KV | sed 's/\([0-9]*\.[0-9]*\)\..*/\1/')
	     /usr/src/linux"

	KSRC=$(for d in $KSP ; do [ -e $d/include/linux ] && echo $d; echo;  done)
	KSRC=$(echo $KSRC | awk '{ print $1 }')

	make -C src clean
	make -C src KSP=$KSRC INSTALL_MOD_PATH=%{buildroot} MANDIR=%{_mandir} install
fi

%install
cd %{buildroot}
find lib -name "igb.*o" -fprintf %{_builddir}/%{name}-%{version}/file.list "/%p\n"

%clean
rm -rf %{buildroot}

%files -f %{_builddir}/%{name}-%{version}/file.list
%defattr(-,root,root)
%{_mandir}/man7/igb.7.gz
%doc COPYING
%doc README

%post
uname -r | grep BOOT || /sbin/depmod -a > /dev/null 2>&1 || true


%postun
uname -r | grep BOOT || /sbin/depmod -a > /dev/null 2>&1 || true

